> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Lease: Buildium

POST https://api.propexo.com/v1/leases/buildium/
Content-Type: application/json

Create Lease: Buildium| Interface | Method       |
| --------- | ------------ |
| Leases    | POST /leases |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/buildium/leases/create-lease-buildium

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_leases_buildium__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `type` (enum, required) — The type associated with the lease
  - Allowed values: `Fixed`, `FixedWithRollover`, `AtWill`
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `start_date` (string, required) — The start date associated with the lease
- `first_name` (string, required) — The first name associated with the resident
- `last_name` (string, required) — The last name associated with the resident
- `address_1` (string, required) — The first address line associated with the resident
- `city` (string, required) — The city associated with the resident
- `state` (string, required) — The state associated with the resident
- `zip` (string, required) — The zip code associated with the resident
- `country` (enum, required) — The country associated with the resident
  - Allowed values: `US`
- `financial_account_id` (string, optional) — The Propexo unique identifier for the financial account
- `end_date` (string, optional) — The end date associated with the lease
- `send_welcome_email` (boolean, optional, default: false) — Whether to send a welcome email to the tenant
- `email_1` (string, optional) — The primary email address associated with the resident
- `email_2` (string, optional) — The secondary email address associated with the resident
- `phone_1` (string, optional) — Primary phone number associated with the resident
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `phone_2` (string, optional) — Secondary phone number associated with the resident
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `date_of_birth` (V1LeasesBuildiumPostInputDateOfBirth, optional) — The date of birth associated with the resident
- `address_2` (string, optional) — The second address line associated with the resident
- `address_1_alternate` (string, optional) — The first alternate address line associated with the resident
- `address_2_alternate` (string, optional) — The second alternate address line associated with the resident
- `city_alternate` (string, optional) — The alternate city associated with the resident
- `state_alternate` (string, optional) — The alternate state associated with the resident
- `zip_alternate` (string, optional) — The alternate zip code associated with the resident
- `country_alternate` (enum, optional) — The alternate country associated with the resident
  - Allowed values: `US`
- `rent_cycle` (enum, optional) — The duration in which rent charges will be automatically appended to the lease ledger
  - Allowed values: `Monthly`, `Weekly`, `Every2Weeks`, `Quarterly`, `Yearly`, `Every2Months`, `Daily`, `Every6Months`, `OneTime`
- `rent_amount_in_cents` (integer, optional) — The rent amount in cents for the lease
- `rent_due_date` (V1LeasesBuildiumPostInputRentDueDate, optional) — The rent due date associated with the lease. The timestamp will be stripped off and only the date will be used

## Response

### 200

Successful response

- `meta` (V1LeasesBuildiumPostOutputMeta, required)
- `result` (V1LeasesBuildiumPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1LeasesBuildiumPostInputDateOfBirth

The date of birth associated with the resident

### V1LeasesBuildiumPostInputRentDueDate

The rent due date associated with the lease. The timestamp will be stripped off and only the date will be used

### V1LeasesBuildiumPostOutputMeta

- `job_id` (string, required)

### V1LeasesBuildiumPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `type` (enum, required) — The type associated with the lease
  - Allowed values: `Fixed`, `FixedWithRollover`, `AtWill`
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `start_date` (string, required) — The start date associated with the lease
- `first_name` (string, required) — The first name associated with the resident
- `last_name` (string, required) — The last name associated with the resident
- `address_1` (string, required) — The first address line associated with the resident
- `city` (string, required) — The city associated with the resident
- `state` (string, required) — The state associated with the resident
- `zip` (string, required) — The zip code associated with the resident
- `country` (enum, required) — The country associated with the resident
  - Allowed values: `US`
- `financial_account_id` (string, required, nullable) — The Propexo unique identifier for the financial account
- `end_date` (string, required, nullable) — The end date associated with the lease
- `email_1` (string, required, nullable) — The primary email address associated with the resident
- `email_2` (string, required, nullable) — The secondary email address associated with the resident
- `phone_1` (string, required, nullable) — Primary phone number associated with the resident
- `phone_1_type` (enum, required) — Type of the primary phone number
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `phone_2` (string, required, nullable) — Secondary phone number associated with the resident
- `phone_2_type` (enum, required) — Type of the secondary phone number
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `date_of_birth` (V1LeasesBuildiumPostOutputResultDateOfBirth, required, nullable) — The date of birth associated with the resident
- `address_2` (string, required, nullable) — The second address line associated with the resident
- `address_1_alternate` (string, required, nullable) — The first alternate address line associated with the resident
- `address_2_alternate` (string, required, nullable) — The second alternate address line associated with the resident
- `city_alternate` (string, required, nullable) — The alternate city associated with the resident
- `state_alternate` (string, required, nullable) — The alternate state associated with the resident
- `zip_alternate` (string, required, nullable) — The alternate zip code associated with the resident
- `country_alternate` (enum, required) — The alternate country associated with the resident
  - Allowed values: `US`
- `rent_cycle` (enum, required) — The duration in which rent charges will be automatically appended to the lease ledger
  - Allowed values: `Monthly`, `Weekly`, `Every2Weeks`, `Quarterly`, `Yearly`, `Every2Months`, `Daily`, `Every6Months`, `OneTime`
- `rent_amount_in_cents` (integer, required, nullable) — The rent amount in cents for the lease
- `rent_due_date` (V1LeasesBuildiumPostOutputResultRentDueDate, required, nullable) — The rent due date associated with the lease. The timestamp will be stripped off and only the date will be used
- `send_welcome_email` (boolean, optional, nullable, default: false)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1LeasesBuildiumPostOutputResultDateOfBirth

The date of birth associated with the resident

### V1LeasesBuildiumPostOutputResultRentDueDate

The rent due date associated with the lease. The timestamp will be stripped off and only the date will be used

## Examples

**Request**

```json
{
  "integration_id": "intg_987654321",
  "type": "Fixed",
  "unit_id": "unit_123456789",
  "start_date": "2024-07-01T12:00:00Z",
  "first_name": "Emily",
  "last_name": "Johnson",
  "address_1": "456 Maple Avenue",
  "city": "Springfield",
  "state": "IL",
  "zip": "62704",
  "country": "US"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_abc123xyz789"
  },
  "result": {
    "integration_id": "intg_987654321",
    "type": "Fixed",
    "unit_id": "unit_123456789",
    "start_date": "2024-07-01T12:00:00Z",
    "first_name": "Emily",
    "last_name": "Johnson",
    "address_1": "456 Maple Avenue",
    "city": "Springfield",
    "state": "IL",
    "zip": "62704",
    "country": "US",
    "financial_account_id": "finacc_456789123",
    "end_date": "2025-06-30T12:00:00Z",
    "email_1": "emily.johnson@example.com",
    "email_2": "e.johnson.alt@example.com",
    "phone_1": "+1-217-555-1234",
    "phone_1_type": "MOBILE",
    "phone_2": "+1-217-555-5678",
    "phone_2_type": "HOME",
    "date_of_birth": "1990-04-15",
    "address_2": "Apt 12B",
    "address_1_alternate": "789 Oak Street",
    "address_2_alternate": "Suite 5",
    "city_alternate": "Decatur",
    "state_alternate": "IL",
    "zip_alternate": "62521",
    "country_alternate": "US",
    "rent_cycle": "Monthly",
    "rent_amount_in_cents": 120000,
    "rent_due_date": "2024-07-05",
    "send_welcome_email": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leases/buildium/"

payload = {
    "integration_id": "intg_987654321",
    "type": "Fixed",
    "unit_id": "unit_123456789",
    "start_date": "2024-07-01T12:00:00Z",
    "first_name": "Emily",
    "last_name": "Johnson",
    "address_1": "456 Maple Avenue",
    "city": "Springfield",
    "state": "IL",
    "zip": "62704",
    "country": "US"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leases/buildium/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_987654321","type":"Fixed","unit_id":"unit_123456789","start_date":"2024-07-01T12:00:00Z","first_name":"Emily","last_name":"Johnson","address_1":"456 Maple Avenue","city":"Springfield","state":"IL","zip":"62704","country":"US"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leases/buildium/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_987654321\",\n  \"type\": \"Fixed\",\n  \"unit_id\": \"unit_123456789\",\n  \"start_date\": \"2024-07-01T12:00:00Z\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"address_1\": \"456 Maple Avenue\",\n  \"city\": \"Springfield\",\n  \"state\": \"IL\",\n  \"zip\": \"62704\",\n  \"country\": \"US\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leases/buildium/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_987654321\",\n  \"type\": \"Fixed\",\n  \"unit_id\": \"unit_123456789\",\n  \"start_date\": \"2024-07-01T12:00:00Z\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"address_1\": \"456 Maple Avenue\",\n  \"city\": \"Springfield\",\n  \"state\": \"IL\",\n  \"zip\": \"62704\",\n  \"country\": \"US\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/leases/buildium/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_987654321\",\n  \"type\": \"Fixed\",\n  \"unit_id\": \"unit_123456789\",\n  \"start_date\": \"2024-07-01T12:00:00Z\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"address_1\": \"456 Maple Avenue\",\n  \"city\": \"Springfield\",\n  \"state\": \"IL\",\n  \"zip\": \"62704\",\n  \"country\": \"US\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/leases/buildium/', [
  'body' => '{
  "integration_id": "intg_987654321",
  "type": "Fixed",
  "unit_id": "unit_123456789",
  "start_date": "2024-07-01T12:00:00Z",
  "first_name": "Emily",
  "last_name": "Johnson",
  "address_1": "456 Maple Avenue",
  "city": "Springfield",
  "state": "IL",
  "zip": "62704",
  "country": "US"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leases/buildium/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_987654321\",\n  \"type\": \"Fixed\",\n  \"unit_id\": \"unit_123456789\",\n  \"start_date\": \"2024-07-01T12:00:00Z\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"address_1\": \"456 Maple Avenue\",\n  \"city\": \"Springfield\",\n  \"state\": \"IL\",\n  \"zip\": \"62704\",\n  \"country\": \"US\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg_987654321",
  "type": "Fixed",
  "unit_id": "unit_123456789",
  "start_date": "2024-07-01T12:00:00Z",
  "first_name": "Emily",
  "last_name": "Johnson",
  "address_1": "456 Maple Avenue",
  "city": "Springfield",
  "state": "IL",
  "zip": "62704",
  "country": "US"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leases/buildium/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```